## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsKeyContainer Struct Reference

Document me!@@. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsKeyContainer:

[legend]
List of all members.

## Public Member Functions

virtual void | Add (iAwsKey *key)=0
| Adds an item to the container.
virtual void | Consume (iAwsKeyContainer *c)=0
| Consumes an entire list by moving all of it's member's to this one, and removing them from it.
virtual iAwsKey * | Find (unsigned long id) const =0
| Looks up a key based on it's ID.
virtual iAwsKey * | Find (const char *name) const =0
| Looks up a key based on it's name.
virtual iAwsKey * | Find (iString *name) const =0
| Looks up a key based on it's name.
virtual iAwsKey * | GetAt (int i) const =0
| returns children number i
virtual int | Length () const =0
| returns number of childrens
virtual void | Remove (iAwsKey *key)=0
| Removes a specific item from the container.
virtual void | Remove (const char *name)=0
| Removes an item from the container.
virtual void | Remove (iString *name)=0
| Removes an item from the container.
virtual void | RemoveAll ()=0
| Removes all items from the container.

## Detailed Description

Document me!@@.

Definition at line 221 of file aws.h.

## Member Function Documentation

virtual void iAwsKeyContainer::Add | ( | iAwsKey * | key | ) | `[pure virtual]`

| Adds an item to the container.

virtual void iAwsKeyContainer::Consume | ( | iAwsKeyContainer * | c | ) | `[pure virtual]`

| Consumes an entire list by moving all of it's member's to this one, and removing them from it.

virtual iAwsKey* iAwsKeyContainer::Find | ( | unsigned long | id | ) | const`[pure virtual]`

| Looks up a key based on it's ID.

virtual iAwsKey* iAwsKeyContainer::Find | ( | const char * | name | ) | const`[pure virtual]`

| Looks up a key based on it's name.

virtual iAwsKey* iAwsKeyContainer::Find | ( | iString * | name | ) | const`[pure virtual]`

| Looks up a key based on it's name.

virtual iAwsKey* iAwsKeyContainer::GetAt | ( | int | i | ) | const`[pure virtual]`

| returns children number i

virtual int iAwsKeyContainer::Length | ( |  | ) | const`[pure virtual]`

| returns number of childrens

virtual void iAwsKeyContainer::Remove | ( | iAwsKey * | key | ) | `[pure virtual]`

| Removes a specific item from the container.

virtual void iAwsKeyContainer::Remove | ( | const char * | name | ) | `[pure virtual]`

| Removes an item from the container.

virtual void iAwsKeyContainer::Remove | ( | iString * | name | ) | `[pure virtual]`

| Removes an item from the container.

virtual void iAwsKeyContainer::RemoveAll | ( |  | ) | `[pure virtual]`

| Removes all items from the container.

The documentation for this struct was generated from the following file:

- iaws/aws.h